@import "notify";

@font-size-base: 12.6px;

body, html {
    width: 100%;
    height: 100%;
}

body,html{
    padding: 0;
    margin: 0;
}
.full-size {
    width: 100%;
    height: 100%;
}


app-component-sidenav{
    display:-webkit-box;
    display:-ms-flexbox;
    display:flex
}

.docs-component-viewer-sidenav-container{
    width:100%
}

.docs-component-viewer-sidenav-container.mat-drawer-content{
    position:absolute;
    right:0;
    left:0}

.docs-component-viewer-sidenav{
    padding-bottom:72px;
    width:240px;
    bottom:0;
    overflow:auto;
    height:100%
}

.docs-component-viewer-sidenav,
.docs-component-viewer-sidenav.mat-sidenav-opened{
    box-shadow:3px 0 6px rgba(0,0,0,.24)
}

.docs-component-viewer-sidenav ul{
    list-style-type:none;
    margin:0;
    padding:0
}

.docs-component-viewer-sidenav li{
    border-bottom-width:1px;
    border-bottom-style:solid;
    margin:0;
    padding:0
}

.docs-component-viewer-sidenav li:last-child{
    border-color:transparent
}

.docs-component-viewer-sidenav li>a{
    box-sizing:border-box;
    display:block;
    font-size:14px;
    font-weight:400;
    line-height:47px;
    text-decoration:none;
    transition:all .3s;
    padding:0 16px;
    position:relative;
    color: rgba(0,0,0,.54);
}

.docs-component-viewer-sidenav li>a:hover{
    background: #fafafa;
    color: #3f51b5;
}

.docs-component-viewer-sidenav li>a.docs-component-viewer-sidenav-item-selected{
    font-weight:600
}

.highlight{
    background: #dedede; /* green */
}

.md-row:hover { background-color: #EEEEEE; }

@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: local('Material Icons'), local('MaterialIcons-Regular'),
        url(../iconfont/MaterialIcons-Regular.woff2)
        format('woff2'), url(../iconfont/MaterialIcons-Regular.woff)
        format('woff'), url(../iconfont/MaterialIcons-Regular.ttf)

    format('truetype');
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    height: 24px;
    width: 24px;
    font-size: 24px;
    color: inherit;
    display: inline-block;
    line-height: 1;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-feature-settings: 'liga';
    font-feature-settings: 'liga';
}

md-toolbar.md-default-theme {
     background-color: #03a9f4;
     color: white;
     padding: 0 24px;
}

.mat-dialog-container{
    padding: 0 !important;
    overflow: hidden !important;
}
.mat-dialog-content{
    margin: 24px 0 !important;
}

.mat-dialog-actions:last-child{
    margin-bottom: 0 !important;
    padding: 12px 12px !important;
}
